<?php
  
/*
---------------------
Редактировать аккаунт
---------------------
*/
  
$account = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
$account_set = DB::GET_STRING("SELECT * FROM `USERS_SETTINGS` WHERE `USER_ID` = '".$account['ID']."' LIMIT 1");

IF (!ISSET($account['ID'])){
  
  ERROR('Пользователь не найден');
  REDIRECT('/index');
  
}

IF (ACCESS('edit_user', NULL, 1) || MANAGEMENT == 1){
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=administration'>".LG('Админ панель')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Редактировать аккаунт')."";
  ECHO "</div>";
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $login = CLEARSPECIALCHARS(ADSL(POST('login')));
    $name = ADSL(POST('name'));
    $surname = ADSL(POST('surname'));
    $money = ABS(POST('money'));
    $balls = ABS(INTVAL(POST('balls')));
    $rating = ABS(POST('rating'));
    
    IF (STR(POST('password')) > 0){
      
      $password = SHIF(POST('password'));
      
    }ELSE{
      
      $password = $account['PASSWORD'];
      
    }
    
    DB::GET_SET("UPDATE `USERS` SET `RATING` = '".$rating."', `BALLS` = '".$balls."', `MONEY` = '".$money."', `PASSWORD` = '".$password."', `LOGIN` = '".$login."' WHERE `ID` = '".$account['ID']."' LIMIT 1");    
    DB::GET_SET("UPDATE `USERS_SETTINGS` SET `NAME` = '".$name."', `SURNAME` = '".$surname."' WHERE `USER_ID` = '".$account['ID']."' LIMIT 1");
    
    IF ($err_data == 1){
      
      REDIRECT('/modules/?path=administration&section=edit_user&id='.$account['ID'].'');
    
    }
    
    IF (ACCESS('edit_user', NULL, 1) || MANAGEMENT == 1){
      
      LOGS('Редактор аккаунта - редактирование аккаунта '.ADSL($account['LOGIN']).'', $user['ID']);
    
    }
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('/id'.$account['ID'].'');
  
  }
  
  ECHO "<div class='list'>";
      
  ECHO "<form method='post' class='form' action='/modules/?path=administration&section=edit_user&id=".$account['ID']."'>";
  
  ECHO "<b>".LG('Логин').":</b>";  
  HTML::INPUT('login', 'Логин', NULL, CONFIG('REG_STR'), $account['LOGIN'], 'form-control-100');
  
  ECHO "<b>".LG('Новый пароль').":</b>";  
  HTML::INPUT('password', 'Пароль');
  
  ECHO "<b>".LG('Имя').":</b>";  
  HTML::INPUT('name', 'Имя', NULL, NULL, $account_set['NAME'], 'form-control-100');
  
  ECHO "<b>".LG('Фамилия').":</b>";  
  HTML::INPUT('surname', 'Фамилия', NULL, NULL, $account_set['SURNAME'], 'form-control-100');
  
  ECHO "<b>".LG('Баланс').":</b><br />";  
  HTML::INPUT('money', 0, NULL, NULL, $account['MONEY'], 'form-control-30');
  
  ECHO "<b>".LG('Баллы').":</b><br />";  
  HTML::INPUT('balls', 0, NULL, NULL, $account['BALLS'], 'form-control-30');
  
  ECHO "<b>".LG('Рейтинг').":</b><br />";  
  HTML::INPUT('rating', 0, NULL, NULL, $account['RATING'], 'form-control-30');
      
  HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');
      
  ECHO "</form>";
  
  ECHO "</div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=administration'>".LG('Админ панель')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Редактировать аккаунт')."";
  ECHO "</div>";
  
}ELSE{
  
  REDIRECT('/index');
  
}
  
?>